# FoundationClasses
TKernel
Units

# Units_TksSequence Class Reference

`#include <Units_TksSequence.hxx>`

Inheritance diagram for Units_TksSequence:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| Units_TksSequence ()
Standard_EXPORT void | Clear ()
| ~Units_TksSequence ()
Standard_EXPORT const Units_TksSequence & | Assign (const Units_TksSequence &Other)
const Units_TksSequence & | operator= (const Units_TksSequence &Other)
Standard_EXPORT void | Append (const Handle(Units_Token)&T)
void | Append (Units_TksSequence &S)
Standard_EXPORT void | Prepend (const Handle(Units_Token)&T)
void | Prepend (Units_TksSequence &S)
void | InsertBefore (const Standard_Integer Index, const Handle(Units_Token)&T)
void | InsertBefore (const Standard_Integer Index, Units_TksSequence &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(Units_Token)&T)
void | InsertAfter (const Standard_Integer Index, Units_TksSequence &S)
Standard_EXPORT const Handle_Units_Token & | First () const
Standard_EXPORT const Handle_Units_Token & | Last () const
void | Split (const Standard_Integer Index, Units_TksSequence &Sub)
Standard_EXPORT const Handle_Units_Token & | Value (const Standard_Integer Index) const
const Handle_Units_Token & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(Units_Token)&I)
Standard_EXPORT Handle_Units_Token & | ChangeValue (const Standard_Integer Index)
Handle_Units_Token & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | Units_TksSequence (const Units_TksSequence &Other)

## Constructor & Destructor Documentation

Units_TksSequence::Units_TksSequence | ( |  | ) |

Units_TksSequence::~Units_TksSequence | ( |  | ) | `[inline]`

Standard_EXPORT Units_TksSequence::Units_TksSequence | ( | const Units_TksSequence & | Other | ) | `[private]`

## Member Function Documentation

void Units_TksSequence::Append | ( | Units_TksSequence & | S | ) |

Standard_EXPORT void Units_TksSequence::Append | ( | const Handle(Units_Token)& | T | ) |

Standard_EXPORT const Units_TksSequence& Units_TksSequence::Assign | ( | const Units_TksSequence & | Other | ) |

Standard_EXPORT Handle_Units_Token& Units_TksSequence::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Units_TksSequence::Clear | ( |  | ) |

Standard_EXPORT const Handle_Units_Token& Units_TksSequence::First | ( |  | ) | const

void Units_TksSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | Units_TksSequence & | S
| ) |

Standard_EXPORT void Units_TksSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(Units_Token)& | T
| ) |

void Units_TksSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | Units_TksSequence & | S
| ) |

void Units_TksSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(Units_Token)& | T
| ) |

Standard_EXPORT const Handle_Units_Token& Units_TksSequence::Last | ( |  | ) | const

void Units_TksSequence::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Units_TksSequence::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Units_TksSequence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

Handle_Units_Token& Units_TksSequence::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Units_Token& Units_TksSequence::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Units_TksSequence& Units_TksSequence::operator= | ( | const Units_TksSequence & | Other | ) | `[inline]`

void Units_TksSequence::Prepend | ( | Units_TksSequence & | S | ) |

Standard_EXPORT void Units_TksSequence::Prepend | ( | const Handle(Units_Token)& | T | ) |

Standard_EXPORT void Units_TksSequence::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void Units_TksSequence::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Units_TksSequence::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Units_Token)& | I
| ) |

void Units_TksSequence::Split | ( | const Standard_Integer | Index,
|  | Units_TksSequence & | Sub
| ) |

Standard_EXPORT const Handle_Units_Token& Units_TksSequence::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Units_TksSequence.hxx